#include "usart.h"
#include "led.h"
#include "delay.h"
#include <stdio.h>
#include "sys_data.h"
#include "timer.h"
#include "bat.h"
#include "iwdg.h"

int main(void)
{
	// LEDӲʼ
	LED_GPIO_Config();
	
	// 12VԴʼ
	BAT_12V_Config();
	
	// 5VԴʼ
	BAT_5V_Config();
	
	// USART3ʼ
	USART3_config();
	
	// ʱʼ
	timer_config();
	
	// ÿŹ 3S
	IWDG_Configuration(3000);// λms Χ 0~0x0FFF
	
	while(1)
	{
		if(usartMsg.done == 1)
		{		
			broad_to_host();
			delay_ms(100);
		}
		IWDG_feed();
	}
}

void assert_failed(uint8_t* file, uint32_t line)
{
  /* Infinite loop */
//  while (1)
//	{
//		printf("Wrong parameters value: file %s on line %d\r\n", __FILE__, __LINE__);
//	}
}

