#include "sys_data.h"
#include "bat.h"

/*
*********************************************************************************************************
*	  : uint8_t channel_12VBAT(uint8_t channel, int i)
*	˵: channel12VBAT
*	    : uint8_t channel: ҪƵchannelֵ int i: øúʱѭ
*	  ֵ: 
*********************************************************************************************************
*/
uint8_t channel_12VBAT(uint8_t channel, int i)
{
	switch (channel) 
	{
		case 0x00: // ȫchannel
			result = channel_No0_12VBAT(usartMsg.rxBuf[7 + i],i);
			break;
		case 0x01: // channel_1
			result = channel_No1_12VBAT(usartMsg.rxBuf[7 + i], i);
			break;
		case 0x02:// channel_2
			result = channel_No2_12VBAT(usartMsg.rxBuf[7 + i], i);
			break;
		case 0x03:// channel_3
			result = channel_No3_12VBAT(usartMsg.rxBuf[7 + i], i);
			break;
		case 0x04:// channel_4
			result = channel_No4_12VBAT(usartMsg.rxBuf[7 + i], i);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
	
}
/*
*********************************************************************************************************
*	  : uint8_t channel_5VBAT(uint8_t cmd, int i)
*	˵: channel5VBAT
*	    : uint8_t channel: ҪƵchannelֵ int i: øúʱѭ
*	  ֵ: 
*********************************************************************************************************
*/

uint8_t channel_5VBAT(uint8_t cmd)
{
	switch(cmd)
	{
		case 1:
			GPIO_SetBits(GPIOA,GPIO_Pin_12);
			result = 1;
			break;
		case 2:
			GPIO_ResetBits(GPIOA,GPIO_Pin_12);
			result = 1;
			break;
		default:
			result = 5;
			return result;
	}
	return result;
}
////////////////////////////// CHANNLE 0 //////////////////////////////
uint8_t channel_No0_12VBAT(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // ȫƽ̨
			result = channel_No0_platform_No0_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // ƽ̨_1
			result = channel_No0_platform_No1_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // ƽ̨_2
			result = channel_No0_platform_No2_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // ƽ̨_3
			result = channel_No0_platform_No3_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // ƽ̨_4
			result = channel_No0_platform_No4_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // ƽ̨_5
			result = channel_No0_platform_No5_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // ƽ̨_6
			result = channel_No0_platform_No6_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
	
}
uint8_t channel_No0_platform_No0_12VBAT(uint8_t cmd)// channelƽ̨
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			all_12VBAT(ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			all_12VBAT(OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No0_platform_No1_12VBAT(uint8_t cmd)// channelƽ̨1
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO0_PORT, GPIO0_PIN, ON);
			BAT12V(GPIO6_PORT, GPIO6_PIN, ON);
			BAT12V(GPIO12_PORT, GPIO12_PIN, ON);
			BAT12V(GPIO18_PORT, GPIO18_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO0_PORT, GPIO0_PIN, OFF);
			BAT12V(GPIO6_PORT, GPIO6_PIN, OFF);
			BAT12V(GPIO12_PORT, GPIO12_PIN, OFF);
			BAT12V(GPIO18_PORT, GPIO18_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No0_platform_No2_12VBAT(uint8_t cmd)// channelƽ̨2
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO1_PORT, GPIO1_PIN, ON);
			BAT12V(GPIO7_PORT, GPIO7_PIN, ON);
			BAT12V(GPIO13_PORT, GPIO13_PIN, ON);
			BAT12V(GPIO19_PORT, GPIO19_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO1_PORT, GPIO1_PIN, OFF);
			BAT12V(GPIO7_PORT, GPIO7_PIN, OFF);
			BAT12V(GPIO13_PORT, GPIO13_PIN, OFF);
			BAT12V(GPIO19_PORT, GPIO19_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No0_platform_No3_12VBAT(uint8_t cmd)// channelƽ̨3
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO2_PORT, GPIO2_PIN, ON);
			BAT12V(GPIO8_PORT, GPIO8_PIN, ON);
			BAT12V(GPIO14_PORT, GPIO14_PIN, ON);
			BAT12V(GPIO20_PORT, GPIO20_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO2_PORT, GPIO2_PIN, OFF);
			BAT12V(GPIO8_PORT, GPIO8_PIN, OFF);
			BAT12V(GPIO14_PORT, GPIO14_PIN, OFF);
			BAT12V(GPIO20_PORT, GPIO20_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No0_platform_No4_12VBAT(uint8_t cmd)// channelƽ̨4
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO3_PORT, GPIO3_PIN, ON);
			BAT12V(GPIO9_PORT, GPIO9_PIN, ON);
			BAT12V(GPIO15_PORT, GPIO15_PIN, ON);
			BAT12V(GPIO21_PORT, GPIO21_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO3_PORT, GPIO3_PIN, OFF);
			BAT12V(GPIO9_PORT, GPIO9_PIN, OFF);
			BAT12V(GPIO15_PORT, GPIO15_PIN, OFF);
			BAT12V(GPIO21_PORT, GPIO21_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No0_platform_No5_12VBAT(uint8_t cmd)// channelƽ̨5
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO4_PORT, GPIO4_PIN, ON);
			BAT12V(GPIO10_PORT, GPIO10_PIN, ON);
			BAT12V(GPIO16_PORT, GPIO16_PIN, ON);
			BAT12V(GPIO22_PORT, GPIO22_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO4_PORT, GPIO4_PIN, OFF);
			BAT12V(GPIO10_PORT, GPIO10_PIN, OFF);
			BAT12V(GPIO16_PORT, GPIO16_PIN, OFF);
			BAT12V(GPIO22_PORT, GPIO22_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No0_platform_No6_12VBAT(uint8_t cmd)// channelƽ̨6
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO5_PORT, GPIO5_PIN, ON);
			BAT12V(GPIO11_PORT, GPIO11_PIN, ON);
			BAT12V(GPIO17_PORT, GPIO17_PIN, ON);
			BAT12V(GPIO23_PORT, GPIO23_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO5_PORT, GPIO5_PIN, OFF);
			BAT12V(GPIO11_PORT, GPIO11_PIN, OFF);
			BAT12V(GPIO17_PORT, GPIO17_PIN, OFF);
			BAT12V(GPIO23_PORT, GPIO23_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
////////////////////////////// CHANNLE 1 //////////////////////////////
uint8_t channel_No1_12VBAT(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // ȫƽ̨
			result = channel_No1_platform_No0_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // ƽ̨_1
			result = channel_No1_platform_No1_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // ƽ̨_2
			result = channel_No1_platform_No2_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // ƽ̨_3
			result = channel_No1_platform_No3_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // ƽ̨_4
			result = channel_No1_platform_No4_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // ƽ̨_5
			result = channel_No1_platform_No5_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // ƽ̨_6
			result = channel_No1_platform_No6_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			return result;
	}
	return result;	
	
}
uint8_t channel_No1_platform_No0_12VBAT(uint8_t cmd)// channel 1 ƽ̨
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO0_PORT, GPIO0_PIN, ON);
			BAT12V(GPIO1_PORT, GPIO1_PIN, ON);
			BAT12V(GPIO2_PORT, GPIO2_PIN, ON);
			BAT12V(GPIO3_PORT, GPIO3_PIN, ON);
			BAT12V(GPIO4_PORT, GPIO4_PIN, ON);
			BAT12V(GPIO5_PORT, GPIO5_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO0_PORT, GPIO0_PIN, OFF);
			BAT12V(GPIO1_PORT, GPIO1_PIN, OFF);
			BAT12V(GPIO2_PORT, GPIO2_PIN, OFF);
			BAT12V(GPIO3_PORT, GPIO3_PIN, OFF);
			BAT12V(GPIO4_PORT, GPIO4_PIN, OFF);
			BAT12V(GPIO5_PORT, GPIO5_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			return result;
	}
	return result;
}

uint8_t channel_No1_platform_No1_12VBAT(uint8_t cmd)// channel 1 ƽ̨1
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO0_PORT, GPIO0_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO0_PORT, GPIO0_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No1_platform_No2_12VBAT(uint8_t cmd)// channel 1 ƽ̨2
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO1_PORT, GPIO1_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO1_PORT, GPIO1_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No1_platform_No3_12VBAT(uint8_t cmd)// channel 1 ƽ̨3
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO2_PORT, GPIO2_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO2_PORT, GPIO2_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No1_platform_No4_12VBAT(uint8_t cmd)// channel 1 ƽ̨4
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO3_PORT, GPIO3_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO3_PORT, GPIO3_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No1_platform_No5_12VBAT(uint8_t cmd)// channel 1 ƽ̨5
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO4_PORT, GPIO4_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO4_PORT, GPIO4_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No1_platform_No6_12VBAT(uint8_t cmd)// channel 1 ƽ̨6
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO5_PORT, GPIO5_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO5_PORT, GPIO5_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

////////////////////////////// CHANNLE 2 //////////////////////////////
uint8_t channel_No2_12VBAT(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // ȫƽ̨
			result = channel_No2_platform_No0_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // ƽ̨_1
			result = channel_No2_platform_No1_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // ƽ̨_2
			result = channel_No2_platform_No2_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // ƽ̨_3
			result = channel_No2_platform_No3_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // ƽ̨_4
			result = channel_No2_platform_No4_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // ƽ̨_5
			result = channel_No2_platform_No5_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // ƽ̨_6
			result = channel_No2_platform_No6_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
	
}
uint8_t channel_No2_platform_No0_12VBAT(uint8_t cmd)// channel 2 ƽ̨
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO6_PORT, GPIO6_PIN, ON);
			BAT12V(GPIO7_PORT, GPIO7_PIN, ON);
			BAT12V(GPIO8_PORT, GPIO8_PIN, ON);
			BAT12V(GPIO9_PORT, GPIO9_PIN, ON);
			BAT12V(GPIO10_PORT, GPIO10_PIN, ON);
			BAT12V(GPIO11_PORT, GPIO11_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO6_PORT, GPIO6_PIN, OFF);
			BAT12V(GPIO7_PORT, GPIO7_PIN, OFF);
			BAT12V(GPIO8_PORT, GPIO8_PIN, OFF);
			BAT12V(GPIO9_PORT, GPIO9_PIN, OFF);
			BAT12V(GPIO10_PORT, GPIO10_PIN, OFF);
			BAT12V(GPIO11_PORT, GPIO11_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No2_platform_No1_12VBAT(uint8_t cmd)// channel 2 ƽ̨1
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO6_PORT, GPIO6_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO6_PORT, GPIO6_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No2_platform_No2_12VBAT(uint8_t cmd)// channel 2 ƽ̨2
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO7_PORT, GPIO7_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO7_PORT, GPIO7_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No2_platform_No3_12VBAT(uint8_t cmd)// channel 2 ƽ̨3
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO8_PORT, GPIO8_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO8_PORT, GPIO8_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No2_platform_No4_12VBAT(uint8_t cmd)// channel 2 ƽ̨4
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO9_PORT, GPIO9_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO9_PORT, GPIO9_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No2_platform_No5_12VBAT(uint8_t cmd)// channel 2 ƽ̨5
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO10_PORT, GPIO10_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO10_PORT, GPIO10_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No2_platform_No6_12VBAT(uint8_t cmd)// channel 2 ƽ̨6
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO11_PORT, GPIO11_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO11_PORT, GPIO11_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
////////////////////////////// CHANNLE 3 //////////////////////////////
uint8_t channel_No3_12VBAT(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // ȫƽ̨
			result = channel_No3_platform_No0_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // ƽ̨_1
			result = channel_No3_platform_No1_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // ƽ̨_2
			result = channel_No3_platform_No2_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // ƽ̨_3
			result = channel_No3_platform_No3_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // ƽ̨_4
			result = channel_No3_platform_No4_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // ƽ̨_5
			result = channel_No3_platform_No5_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // ƽ̨_6
			result = channel_No3_platform_No6_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
	
}
uint8_t channel_No3_platform_No0_12VBAT(uint8_t cmd)// channel 3 ƽ̨
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO12_PORT, GPIO12_PIN, ON);
			BAT12V(GPIO13_PORT, GPIO13_PIN, ON);
			BAT12V(GPIO14_PORT, GPIO14_PIN, ON);
			BAT12V(GPIO15_PORT, GPIO15_PIN, ON);
			BAT12V(GPIO16_PORT, GPIO16_PIN, ON);
			BAT12V(GPIO17_PORT, GPIO17_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO12_PORT, GPIO12_PIN, OFF);
			BAT12V(GPIO13_PORT, GPIO13_PIN, OFF);
			BAT12V(GPIO14_PORT, GPIO14_PIN, OFF);
			BAT12V(GPIO15_PORT, GPIO15_PIN, OFF);
			BAT12V(GPIO16_PORT, GPIO16_PIN, OFF);
			BAT12V(GPIO17_PORT, GPIO17_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No3_platform_No1_12VBAT(uint8_t cmd)// channel 3 ƽ̨1
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO12_PORT, GPIO12_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO12_PORT, GPIO12_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No3_platform_No2_12VBAT(uint8_t cmd)// channel 3 ƽ̨2
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO13_PORT, GPIO13_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO13_PORT, GPIO13_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No3_platform_No3_12VBAT(uint8_t cmd)// channel 3 ƽ̨3
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO14_PORT, GPIO14_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO14_PORT, GPIO14_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No3_platform_No4_12VBAT(uint8_t cmd)// channel 3 ƽ̨4
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO15_PORT, GPIO15_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO15_PORT, GPIO15_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No3_platform_No5_12VBAT(uint8_t cmd)// channel 3 ƽ̨5
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO16_PORT, GPIO16_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO16_PORT, GPIO16_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No3_platform_No6_12VBAT(uint8_t cmd)// channel 3 ƽ̨6
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO17_PORT, GPIO17_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO17_PORT, GPIO17_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

////////////////////////////// CHANNLE 4 //////////////////////////////
uint8_t channel_No4_12VBAT(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // ȫƽ̨
			result = channel_No4_platform_No0_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // ƽ̨_1
			result = channel_No4_platform_No1_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // ƽ̨_2
			result = channel_No4_platform_No2_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // ƽ̨_3
			result = channel_No4_platform_No3_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // ƽ̨_4
			result = channel_No4_platform_No4_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // ƽ̨_5
			result = channel_No4_platform_No5_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // ƽ̨_6
			result = channel_No4_platform_No6_12VBAT(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
	
}
uint8_t channel_No4_platform_No0_12VBAT(uint8_t cmd)// channelƽ̨
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO18_PORT, GPIO18_PIN, ON);
			BAT12V(GPIO19_PORT, GPIO19_PIN, ON);
			BAT12V(GPIO20_PORT, GPIO20_PIN, ON);
			BAT12V(GPIO21_PORT, GPIO21_PIN, ON);
			BAT12V(GPIO22_PORT, GPIO22_PIN, ON);
			BAT12V(GPIO23_PORT, GPIO23_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO18_PORT, GPIO18_PIN, OFF);
			BAT12V(GPIO19_PORT, GPIO19_PIN, OFF);
			BAT12V(GPIO20_PORT, GPIO20_PIN, OFF);
			BAT12V(GPIO21_PORT, GPIO21_PIN, OFF);
			BAT12V(GPIO22_PORT, GPIO22_PIN, OFF);
			BAT12V(GPIO23_PORT, GPIO23_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No4_platform_No1_12VBAT(uint8_t cmd)// channel 4 ƽ̨1
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO18_PORT, GPIO18_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO18_PORT, GPIO18_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No4_platform_No2_12VBAT(uint8_t cmd)// channel 4 ƽ̨2
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO19_PORT, GPIO19_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO19_PORT, GPIO19_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No4_platform_No3_12VBAT(uint8_t cmd)// channel 4 ƽ̨3
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO20_PORT, GPIO20_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO20_PORT, GPIO20_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No4_platform_No4_12VBAT(uint8_t cmd)// channel 4 ƽ̨4
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO21_PORT, GPIO21_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO21_PORT, GPIO21_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No4_platform_No5_12VBAT(uint8_t cmd)// channel 4 ƽ̨5
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO22_PORT, GPIO22_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO22_PORT, GPIO22_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No4_platform_No6_12VBAT(uint8_t cmd)// channel 4 ƽ̨6
{
	switch (cmd) // ֵָ
	{
		case 0x01: //12VBAT(ON)
			BAT12V(GPIO23_PORT, GPIO23_PIN, ON);
			result = 1;
			break;
		case 0x02: //12VBAT(OFF);
			BAT12V(GPIO23_PORT, GPIO23_PIN, OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
