#include "sys_data.h"
#include "led.h"

/*
*********************************************************************************************************
*	  : uint8_t channel_LED(uint8_t channel, int i)
*	˵: channelLED
*	    : uint8_t channel: ҪƵchannelֵ int i: øúʱѭ
*	  ֵ: 
*********************************************************************************************************
*/
uint8_t channel_LED(uint8_t channel, int i)
{
	switch (channel) 
	{
		case 0x00: // ȫchannel
			result = channel_No0_LED(usartMsg.rxBuf[7 + i],i);
			break;
		case 0x01: // channel_1
			result = channel_No1_LED(usartMsg.rxBuf[7 + i], i);
			break;
		case 0x02:// channel_2
			result = channel_No2_LED(usartMsg.rxBuf[7 + i], i);
			break;
		case 0x03:// channel_3
			result = channel_No3_LED(usartMsg.rxBuf[7 + i], i);
			break;
		case 0x04:// channel_4
			result = channel_No4_LED(usartMsg.rxBuf[7 + i], i);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
}

////////////////////////////// CHANNLE 0 //////////////////////////////
uint8_t channel_No0_LED(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // ȫƽ̨
			result = channel_No0_platform_No0_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // ƽ̨_1
			result = channel_No0_platform_No1_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // ƽ̨_2
			result = channel_No0_platform_No2_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // ƽ̨_3
			result = channel_No0_platform_No3_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // ƽ̨_4
			result = channel_No0_platform_No4_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // ƽ̨_5
			result = channel_No0_platform_No5_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // ƽ̨_6
			result = channel_No0_platform_No6_LED(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
}

uint8_t channel_No0_platform_No0_LED(uint8_t cmd)// channelƽ̨
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			all_whilte_light(ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			all_whilte_light(OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			all_green_light(ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			all_green_light(OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			all_red_light(ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			all_red_light(OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			all_yellow_light(ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			all_yellow_light(OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			all_light(OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}

uint8_t channel_No0_platform_No1_LED(uint8_t cmd)// channelƽ̨1
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED1_GPIO_PORT,A_LED1_PIN,ON);//red
//			led(A_LED3_GPIO_PORT,A_LED3_PIN,ON);//green
//			led(B_LED1_GPIO_PORT,B_LED1_PIN,ON);//red
//			led(B_LED3_GPIO_PORT,B_LED3_PIN,ON);//green
//			led(C_LED1_GPIO_PORT,C_LED1_PIN,ON);//red
//			led(C_LED3_GPIO_PORT,C_LED3_PIN,ON);//green
//			led(D_LED1_GPIO_PORT,D_LED1_PIN,ON);//red
//			led(D_LED3_GPIO_PORT,D_LED3_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);//red
//			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);//green
//			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);//red
//			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);//green
//			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);//red
//			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);//green
//			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);//red
//			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,ON);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,ON);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,ON);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,ON);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,ON);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,ON);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED2_GPIO_PORT,A_LED2_PIN,ON);
			led(B_LED2_GPIO_PORT,B_LED2_PIN,ON);
			led(C_LED2_GPIO_PORT,C_LED2_PIN,ON);
			led(D_LED2_GPIO_PORT,D_LED2_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED2_GPIO_PORT,A_LED2_PIN,OFF);
			led(B_LED2_GPIO_PORT,B_LED2_PIN,OFF);
			led(C_LED2_GPIO_PORT,C_LED2_PIN,OFF);
			led(D_LED2_GPIO_PORT,D_LED2_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);//red
			led(A_LED2_GPIO_PORT,A_LED2_PIN,OFF);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);//green
			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);//red
			led(B_LED2_GPIO_PORT,B_LED2_PIN,OFF);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);//green
			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);//red
			led(C_LED2_GPIO_PORT,C_LED2_PIN,OFF);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);//green
			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);//red
			led(D_LED2_GPIO_PORT,D_LED2_PIN,OFF);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);//green
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}
uint8_t channel_No0_platform_No2_LED(uint8_t cmd)// channelƽ̨2
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED4_GPIO_PORT,A_LED4_PIN,ON);//red
//			led(A_LED6_GPIO_PORT,A_LED6_PIN,ON);//green
//			led(B_LED4_GPIO_PORT,B_LED4_PIN,ON);//red
//			led(B_LED6_GPIO_PORT,B_LED6_PIN,ON);//green
//			led(C_LED4_GPIO_PORT,C_LED4_PIN,ON);//red
//			led(C_LED6_GPIO_PORT,C_LED6_PIN,ON);//green
//			led(D_LED4_GPIO_PORT,D_LED6_PIN,ON);//red
//			led(D_LED6_GPIO_PORT,D_LED6_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);//red
//			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);//green
//			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);//red
//			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);//green
//			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);//red
//			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);//green
//			led(D_LED4_GPIO_PORT,D_LED6_PIN,OFF);//red
//			led(D_LED4_GPIO_PORT,D_LED6_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,ON);//green
			led(B_LED6_GPIO_PORT,B_LED6_PIN,ON);//green
			led(C_LED6_GPIO_PORT,C_LED6_PIN,ON);//green
			led(D_LED6_GPIO_PORT,D_LED6_PIN,ON);//green
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);//green
			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);//green
			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);//green
			led(D_LED6_GPIO_PORT,D_LED6_PIN,OFF);//green
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,ON);
			led(B_LED4_GPIO_PORT,B_LED4_PIN,ON);
			led(C_LED4_GPIO_PORT,C_LED4_PIN,ON);
			led(D_LED4_GPIO_PORT,D_LED4_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);
			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);
			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);
			led(D_LED4_GPIO_PORT,D_LED4_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,ON);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,ON);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,ON);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,OFF);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,OFF);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,OFF);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);//red
			led(A_LED5_GPIO_PORT,A_LED5_PIN,OFF);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);//green
			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);//red
			led(B_LED5_GPIO_PORT,B_LED5_PIN,OFF);
			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);//green
			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);//red
			led(C_LED5_GPIO_PORT,C_LED5_PIN,OFF);
			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);//green
			led(D_LED4_GPIO_PORT,D_LED6_PIN,OFF);//red
			led(D_LED5_GPIO_PORT,D_LED5_PIN,OFF);
			led(D_LED4_GPIO_PORT,D_LED6_PIN,OFF);//green
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No0_platform_No3_LED(uint8_t cmd)// channelƽ̨3
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED7_GPIO_PORT,A_LED7_PIN,ON);//red
//			led(A_LED9_GPIO_PORT,A_LED9_PIN,ON);//green
//			led(B_LED7_GPIO_PORT,B_LED7_PIN,ON);//red
//			led(B_LED9_GPIO_PORT,B_LED9_PIN,ON);//green
//			led(C_LED7_GPIO_PORT,C_LED7_PIN,ON);//red
//			led(C_LED9_GPIO_PORT,C_LED9_PIN,ON);//green
//			led(D_LED7_GPIO_PORT,D_LED7_PIN,ON);//red
//			led(D_LED9_GPIO_PORT,D_LED9_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);//red
//			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);//green
//			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);//red
//			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);//green
//			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);//red
//			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);//green
//			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);//red
//			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,ON);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,ON);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,ON);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,ON);
			led(B_LED7_GPIO_PORT,B_LED7_PIN,ON);
			led(C_LED7_GPIO_PORT,C_LED7_PIN,ON);
			led(D_LED7_GPIO_PORT,D_LED7_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);
			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);
			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);
			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,ON);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,ON);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,ON);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,OFF);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,OFF);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,OFF);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);//red
			led(A_LED8_GPIO_PORT,A_LED8_PIN,OFF);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);//green
			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);//red
			led(B_LED8_GPIO_PORT,B_LED8_PIN,OFF);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);//green
			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);//red
			led(C_LED8_GPIO_PORT,C_LED8_PIN,OFF);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);//green
			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);//red
			led(D_LED8_GPIO_PORT,D_LED8_PIN,OFF);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);//green
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No0_platform_No4_LED(uint8_t cmd)// channelƽ̨4
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED10_GPIO_PORT,A_LED10_PIN,ON);//red
//			led(A_LED12_GPIO_PORT,A_LED12_PIN,ON);//green
//			led(B_LED10_GPIO_PORT,B_LED10_PIN,ON);//red
//			led(B_LED12_GPIO_PORT,B_LED12_PIN,ON);//green
//			led(C_LED10_GPIO_PORT,C_LED10_PIN,ON);//red
//			led(C_LED12_GPIO_PORT,C_LED12_PIN,ON);//green
//			led(D_LED10_GPIO_PORT,D_LED10_PIN,ON);//red
//			led(D_LED12_GPIO_PORT,D_LED12_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);//red
//			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);//green
//			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);//red
//			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);//green
//			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);//red
//			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);//green
//			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);//red
//			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,ON);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,ON);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,ON);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,ON);
			led(B_LED10_GPIO_PORT,B_LED10_PIN,ON);
			led(C_LED10_GPIO_PORT,C_LED10_PIN,ON);
			led(D_LED10_GPIO_PORT,D_LED10_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);
			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);
			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);
			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,ON);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,ON);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,ON);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,OFF);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,OFF);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,OFF);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);//red
			led(A_LED11_GPIO_PORT,A_LED11_PIN,OFF);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);//green
			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);//red
			led(B_LED11_GPIO_PORT,B_LED11_PIN,OFF);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);//green
			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);//red
			led(C_LED11_GPIO_PORT,C_LED11_PIN,OFF);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);//green
			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);//red
			led(D_LED11_GPIO_PORT,D_LED11_PIN,OFF);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);//green
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No0_platform_No5_LED(uint8_t cmd)// channelƽ̨5
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED13_GPIO_PORT,A_LED13_PIN,ON);//red
//			led(A_LED15_GPIO_PORT,A_LED15_PIN,ON);//green
//			led(B_LED13_GPIO_PORT,B_LED13_PIN,ON);//red
//			led(B_LED15_GPIO_PORT,B_LED15_PIN,ON);//green
//			led(C_LED13_GPIO_PORT,C_LED13_PIN,ON);//red
//			led(C_LED15_GPIO_PORT,C_LED15_PIN,ON);//green
//			led(D_LED13_GPIO_PORT,D_LED13_PIN,ON);//red
//			led(D_LED15_GPIO_PORT,D_LED15_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);//red
//			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);//green
//			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);//red
//			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);//green
//			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);//red
//			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);//green
//			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);//red
//			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,ON);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,ON);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,ON);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,ON);
			led(B_LED13_GPIO_PORT,B_LED13_PIN,ON);
			led(C_LED13_GPIO_PORT,C_LED13_PIN,ON);
			led(D_LED13_GPIO_PORT,D_LED13_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);
			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);
			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);
			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,ON);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,ON);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,ON);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,OFF);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,OFF);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,OFF);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);//red
			led(A_LED14_GPIO_PORT,A_LED14_PIN,OFF);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);//green
			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);//red
			led(B_LED14_GPIO_PORT,B_LED14_PIN,OFF);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);//green
			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);//red
			led(C_LED14_GPIO_PORT,C_LED14_PIN,OFF);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);//green
			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);//red
			led(D_LED14_GPIO_PORT,D_LED14_PIN,OFF);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);//green
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No0_platform_No6_LED(uint8_t cmd)// channelƽ̨6
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED16_GPIO_PORT,A_LED16_PIN,ON);//red
//			led(A_LED18_GPIO_PORT,A_LED18_PIN,ON);//green
//			led(B_LED16_GPIO_PORT,B_LED16_PIN,ON);//red
//			led(B_LED18_GPIO_PORT,B_LED18_PIN,ON);//green
//			led(C_LED16_GPIO_PORT,C_LED16_PIN,ON);//red
//			led(C_LED18_GPIO_PORT,C_LED18_PIN,ON);//green
//			led(D_LED16_GPIO_PORT,D_LED16_PIN,ON);//red
//			led(D_LED18_GPIO_PORT,D_LED18_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);//red
//			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);//green
//			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);//red
//			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);//green
//			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);//red
//			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);//green
//			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);//red
//			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED18_GPIO_PORT,A_LED18_PIN,ON);
			led(B_LED18_GPIO_PORT,B_LED18_PIN,ON);
			led(C_LED18_GPIO_PORT,C_LED18_PIN,ON);
			led(D_LED18_GPIO_PORT,D_LED18_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);
			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);
			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);
			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,ON);
			led(B_LED16_GPIO_PORT,B_LED16_PIN,ON);
			led(C_LED16_GPIO_PORT,C_LED16_PIN,ON);
			led(D_LED16_GPIO_PORT,D_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);
			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);
			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);
			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,ON);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,ON);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,ON);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,OFF);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,OFF);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,OFF);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);//red
			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);//green
			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);//red
			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);//green
			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);//red
			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);//green
			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);//red
			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);//green
			led(A_LED17_GPIO_PORT,A_LED17_PIN,OFF);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,OFF);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,OFF);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}


////////////////////////////// CHANNLE 1 //////////////////////////////
uint8_t channel_No1_LED(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // channel 1
			result = channel_No1_platform_No0_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // channel_1
			result = channel_No1_platform_No1_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // channel_1
			result = channel_No1_platform_No2_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // channel_1
			result = channel_No1_platform_No3_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // channel_1
			result = channel_No1_platform_No4_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // channel_1
			result = channel_No1_platform_No5_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // channel_1
			result = channel_No1_platform_No6_LED(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
}

uint8_t channel_No1_platform_No0_LED(uint8_t cmd)// channel 1 ƽ̨
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED1_GPIO_PORT,A_LED1_PIN,ON);//red
//			led(A_LED3_GPIO_PORT,A_LED3_PIN,ON);//green
//			led(A_LED4_GPIO_PORT,A_LED4_PIN,ON);//red
//			led(A_LED6_GPIO_PORT,A_LED6_PIN,ON);//green
//			led(A_LED7_GPIO_PORT,A_LED7_PIN,ON);//red
//			led(A_LED9_GPIO_PORT,A_LED9_PIN,ON);//green
//			led(A_LED10_GPIO_PORT,A_LED10_PIN,ON);//red
//			led(A_LED12_GPIO_PORT,A_LED12_PIN,ON);//green
//			led(A_LED13_GPIO_PORT,A_LED13_PIN,ON);//red
//			led(A_LED15_GPIO_PORT,A_LED15_PIN,ON);//green
//			led(A_LED16_GPIO_PORT,A_LED16_PIN,ON);//red
//			led(A_LED18_GPIO_PORT,A_LED18_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);//red
//			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);//green
//			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);//red
//			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);//green
//			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);//red
//			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);//green
//			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);//red
//			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);//green
//			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);//red
//			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);//green
//			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);//red
//			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,ON);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,ON);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,ON);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,ON);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,ON);
			led(A_LED18_GPIO_PORT,A_LED18_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);
			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,ON);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,ON);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,ON);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,ON);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,ON);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED2_GPIO_PORT,A_LED2_PIN,ON);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,ON);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,ON);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,ON);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,ON);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED2_GPIO_PORT,A_LED2_PIN,OFF);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,OFF);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,OFF);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,OFF);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,OFF);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);//red
			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);//green
			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);//red
			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);//green
			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);//red
			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);//green
			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);//red
			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);//green
			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);//red
			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);//green
			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);//red
			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);//green
			led(A_LED2_GPIO_PORT,A_LED2_PIN,OFF);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,OFF);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,OFF);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,OFF);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,OFF);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}

uint8_t channel_No1_platform_No1_LED(uint8_t cmd)// channel 1 ƽ̨1
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED1_GPIO_PORT,A_LED1_PIN,ON);
//			led(A_LED3_GPIO_PORT,A_LED3_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);
//			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED2_GPIO_PORT,A_LED2_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED2_GPIO_PORT,A_LED2_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED1_GPIO_PORT,A_LED1_PIN,OFF);
			led(A_LED2_GPIO_PORT,A_LED2_PIN,OFF);
			led(A_LED3_GPIO_PORT,A_LED3_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}
uint8_t channel_No1_platform_No2_LED(uint8_t cmd)// channel 1 ƽ̨2
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED4_GPIO_PORT,A_LED4_PIN,ON);
//			led(A_LED6_GPIO_PORT,A_LED6_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);
//			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED4_GPIO_PORT,A_LED4_PIN,OFF);
			led(A_LED5_GPIO_PORT,A_LED5_PIN,OFF);
			led(A_LED6_GPIO_PORT,A_LED6_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

uint8_t channel_No1_platform_No3_LED(uint8_t cmd)// channel 1 ƽ̨3
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED7_GPIO_PORT,A_LED7_PIN,ON);
//			led(A_LED9_GPIO_PORT,A_LED9_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);
//			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED7_GPIO_PORT,A_LED7_PIN,OFF);
			led(A_LED8_GPIO_PORT,A_LED8_PIN,OFF);
			led(A_LED9_GPIO_PORT,A_LED9_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No1_platform_No4_LED(uint8_t cmd)// channel 1 ƽ̨4
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED10_GPIO_PORT,A_LED10_PIN,ON);
//			led(A_LED12_GPIO_PORT,A_LED12_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);
//			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED10_GPIO_PORT,A_LED10_PIN,OFF);
			led(A_LED11_GPIO_PORT,A_LED11_PIN,OFF);
			led(A_LED12_GPIO_PORT,A_LED12_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No1_platform_No5_LED(uint8_t cmd)// channel 1 ƽ̨5
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED13_GPIO_PORT,A_LED13_PIN,ON);
//			led(A_LED15_GPIO_PORT,A_LED15_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);
//			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED13_GPIO_PORT,A_LED13_PIN,OFF);
			led(A_LED14_GPIO_PORT,A_LED14_PIN,OFF);
			led(A_LED15_GPIO_PORT,A_LED15_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No1_platform_No6_LED(uint8_t cmd)// channel 1 ƽ̨6
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(A_LED16_GPIO_PORT,A_LED16_PIN,ON);
//			led(A_LED18_GPIO_PORT,A_LED18_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);
//			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(A_LED18_GPIO_PORT,A_LED18_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(A_LED16_GPIO_PORT,A_LED16_PIN,OFF);
			led(A_LED17_GPIO_PORT,A_LED17_PIN,OFF);
			led(A_LED18_GPIO_PORT,A_LED18_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

////////////////////////////// CHANNLE 2 //////////////////////////////
uint8_t channel_No2_LED(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // channel_2
			result = channel_No2_platform_No0_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // channel_2
			result = channel_No2_platform_No1_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // channel_2
			result = channel_No2_platform_No2_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // channel_2
			result = channel_No2_platform_No3_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // channel_2
			result = channel_No2_platform_No4_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // channel_2
			result = channel_No2_platform_No5_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // channel_2
			result = channel_No2_platform_No6_LED(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
}

uint8_t channel_No2_platform_No0_LED(uint8_t cmd)// channel 2 ƽ̨
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(B_LED1_GPIO_PORT,B_LED1_PIN,ON);//red
//			led(B_LED3_GPIO_PORT,B_LED3_PIN,ON);//green
//			led(B_LED4_GPIO_PORT,B_LED4_PIN,ON);//red
//			led(B_LED6_GPIO_PORT,B_LED6_PIN,ON);//green
//			led(B_LED7_GPIO_PORT,B_LED7_PIN,ON);//red
//			led(B_LED9_GPIO_PORT,B_LED9_PIN,ON);//green
//			led(B_LED10_GPIO_PORT,B_LED10_PIN,ON);//red
//			led(B_LED12_GPIO_PORT,B_LED12_PIN,ON);//green
//			led(B_LED13_GPIO_PORT,B_LED13_PIN,ON);//red
//			led(B_LED15_GPIO_PORT,B_LED15_PIN,ON);//green
//			led(B_LED16_GPIO_PORT,B_LED16_PIN,ON);//red
//			led(B_LED18_GPIO_PORT,B_LED18_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);//red
//			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);//green
//			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);//red
//			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);//green
//			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);//red
//			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);//green
//			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);//red
//			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);//green
//			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);//red
//			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);//green
//			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);//red
//			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,ON);
			led(B_LED6_GPIO_PORT,B_LED6_PIN,ON);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,ON);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,ON);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,ON);
			led(B_LED18_GPIO_PORT,B_LED8_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);
			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);
			led(B_LED18_GPIO_PORT,B_LED8_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,ON);
			led(B_LED4_GPIO_PORT,B_LED4_PIN,ON);
			led(B_LED7_GPIO_PORT,B_LED7_PIN,ON);
			led(B_LED10_GPIO_PORT,B_LED10_PIN,ON);
			led(B_LED13_GPIO_PORT,B_LED13_PIN,ON);
			led(B_LED16_GPIO_PORT,B_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);
			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);
			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);
			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);
			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);
			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(B_LED2_GPIO_PORT,B_LED2_PIN,ON);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,ON);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,ON);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,ON);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,ON);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(B_LED2_GPIO_PORT,B_LED2_PIN,OFF);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,OFF);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,OFF);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,OFF);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,OFF);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);//red
			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);//green
			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);//red
			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);//green
			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);//red
			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);//green
			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);//red
			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);//green
			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);//red
			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);//green
			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);//red
			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);//green	
			led(B_LED2_GPIO_PORT,B_LED2_PIN,OFF);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,OFF);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,OFF);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,OFF);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,OFF);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}

uint8_t channel_No2_platform_No1_LED(uint8_t cmd)// channel 2 ƽ̨1
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(B_LED1_GPIO_PORT,B_LED1_PIN,ON);
//			led(B_LED3_GPIO_PORT,B_LED3_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);
//			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(B_LED2_GPIO_PORT,B_LED2_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(B_LED2_GPIO_PORT,B_LED2_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(B_LED1_GPIO_PORT,B_LED1_PIN,OFF);
			led(B_LED2_GPIO_PORT,B_LED2_PIN,OFF);
			led(B_LED3_GPIO_PORT,B_LED3_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}
uint8_t channel_No2_platform_No2_LED(uint8_t cmd)// channel 2 ƽ̨2
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(B_LED4_GPIO_PORT,B_LED4_PIN,ON);
//			led(B_LED6_GPIO_PORT,B_LED6_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);
//			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(B_LED6_GPIO_PORT,B_LED6_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(B_LED4_GPIO_PORT,B_LED4_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(B_LED4_GPIO_PORT,B_LED4_PIN,OFF);
			led(B_LED5_GPIO_PORT,B_LED5_PIN,OFF);
			led(B_LED6_GPIO_PORT,B_LED6_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No2_platform_No3_LED(uint8_t cmd)// channel 2 ƽ̨3
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(B_LED7_GPIO_PORT,B_LED7_PIN,ON);
//			led(B_LED9_GPIO_PORT,B_LED9_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);
//			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(B_LED7_GPIO_PORT,B_LED7_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(B_LED7_GPIO_PORT,B_LED7_PIN,OFF);
			led(B_LED8_GPIO_PORT,B_LED8_PIN,OFF);
			led(B_LED9_GPIO_PORT,B_LED9_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No2_platform_No4_LED(uint8_t cmd)// channel 2 ƽ̨4
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(B_LED10_GPIO_PORT,B_LED10_PIN,ON);
//			led(B_LED12_GPIO_PORT,B_LED12_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);
//			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(B_LED10_GPIO_PORT,B_LED10_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(B_LED10_GPIO_PORT,B_LED10_PIN,OFF);
			led(B_LED11_GPIO_PORT,B_LED11_PIN,OFF);
			led(B_LED12_GPIO_PORT,B_LED12_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No2_platform_No5_LED(uint8_t cmd)// channel 2 ƽ̨5
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(B_LED13_GPIO_PORT,B_LED13_PIN,ON);
//			led(B_LED15_GPIO_PORT,B_LED15_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);
//			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(B_LED13_GPIO_PORT,B_LED13_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(B_LED13_GPIO_PORT,B_LED13_PIN,OFF);
			led(B_LED14_GPIO_PORT,B_LED14_PIN,OFF);
			led(B_LED15_GPIO_PORT,B_LED15_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No2_platform_No6_LED(uint8_t cmd)// channel 2 ƽ̨6
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(B_LED16_GPIO_PORT,B_LED16_PIN,ON);
//			led(B_LED18_GPIO_PORT,B_LED18_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);
//			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(B_LED18_GPIO_PORT,B_LED18_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(B_LED16_GPIO_PORT,B_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(B_LED16_GPIO_PORT,B_LED16_PIN,OFF);
			led(B_LED17_GPIO_PORT,B_LED17_PIN,OFF);
			led(B_LED18_GPIO_PORT,B_LED18_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

////////////////////////////// CHANNLE 3 //////////////////////////////
uint8_t channel_No3_LED(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // channel_3
			result = channel_No3_platform_No0_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // channel_3
			result = channel_No3_platform_No1_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // channel_3
			result = channel_No3_platform_No2_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // channel_3
			result = channel_No3_platform_No3_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // channel_3
			result = channel_No3_platform_No4_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // channel_3
			result = channel_No3_platform_No5_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // channel_3
			result = channel_No3_platform_No6_LED(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
}

uint8_t channel_No3_platform_No0_LED(uint8_t cmd)// channel 3 ƽ̨
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(C_LED1_GPIO_PORT,C_LED1_PIN,ON);//red
//			led(C_LED3_GPIO_PORT,C_LED3_PIN,ON);//green
//			led(C_LED4_GPIO_PORT,C_LED4_PIN,ON);//red
//			led(C_LED6_GPIO_PORT,C_LED6_PIN,ON);//green
//			led(C_LED7_GPIO_PORT,C_LED7_PIN,ON);//red
//			led(C_LED9_GPIO_PORT,C_LED9_PIN,ON);//green
//			led(C_LED10_GPIO_PORT,C_LED10_PIN,ON);//red
//			led(C_LED12_GPIO_PORT,C_LED12_PIN,ON);//green
//			led(C_LED13_GPIO_PORT,C_LED13_PIN,ON);//red
//			led(C_LED15_GPIO_PORT,C_LED15_PIN,ON);//green
//			led(C_LED16_GPIO_PORT,C_LED16_PIN,ON);//red
//			led(C_LED18_GPIO_PORT,C_LED18_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);//red
//			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);//green
//			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);//red
//			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);//green
//			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);//red
//			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);//green
//			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);//red
//			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);//green
//			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);//red
//			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);//green
//			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);//red
//			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,ON);
			led(C_LED6_GPIO_PORT,C_LED6_PIN,ON);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,ON);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,ON);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,ON);
			led(C_LED18_GPIO_PORT,C_LED8_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);
			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);
			led(C_LED18_GPIO_PORT,C_LED8_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,ON);
			led(C_LED4_GPIO_PORT,C_LED4_PIN,ON);
			led(C_LED7_GPIO_PORT,C_LED7_PIN,ON);
			led(C_LED10_GPIO_PORT,C_LED10_PIN,ON);
			led(C_LED13_GPIO_PORT,C_LED13_PIN,ON);
			led(C_LED16_GPIO_PORT,C_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);
			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);
			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);
			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);
			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);
			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(C_LED2_GPIO_PORT,C_LED2_PIN,ON);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,ON);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,ON);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,ON);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,ON);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(C_LED2_GPIO_PORT,C_LED2_PIN,OFF);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,OFF);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,OFF);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,OFF);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,OFF);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);//red
			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);//green
			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);//red
			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);//green
			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);//red
			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);//green
			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);//red
			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);//green
			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);//red
			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);//green
			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);//red
			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);//green	
			led(C_LED2_GPIO_PORT,C_LED2_PIN,OFF);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,OFF);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,OFF);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,OFF);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,OFF);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}

uint8_t channel_No3_platform_No1_LED(uint8_t cmd)// channel 3 ƽ̨1
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(C_LED1_GPIO_PORT,C_LED1_PIN,ON);
//			led(C_LED3_GPIO_PORT,C_LED3_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);
//			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(C_LED2_GPIO_PORT,C_LED2_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(C_LED2_GPIO_PORT,C_LED2_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(C_LED1_GPIO_PORT,C_LED1_PIN,OFF);
			led(C_LED2_GPIO_PORT,C_LED2_PIN,OFF);
			led(C_LED3_GPIO_PORT,C_LED3_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}
uint8_t channel_No3_platform_No2_LED(uint8_t cmd)// channel 3 ƽ̨2
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(C_LED4_GPIO_PORT,C_LED4_PIN,ON);
//			led(C_LED6_GPIO_PORT,C_LED6_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);
//			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(C_LED6_GPIO_PORT,C_LED6_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(C_LED4_GPIO_PORT,C_LED4_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(C_LED4_GPIO_PORT,C_LED4_PIN,OFF);
			led(C_LED5_GPIO_PORT,C_LED5_PIN,OFF);
			led(C_LED6_GPIO_PORT,C_LED6_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No3_platform_No3_LED(uint8_t cmd)// channel 3 ƽ̨3
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(C_LED7_GPIO_PORT,C_LED7_PIN,ON);
//			led(C_LED9_GPIO_PORT,C_LED9_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);
//			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(C_LED7_GPIO_PORT,C_LED7_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(C_LED7_GPIO_PORT,C_LED7_PIN,OFF);
			led(C_LED8_GPIO_PORT,C_LED8_PIN,OFF);
			led(C_LED9_GPIO_PORT,C_LED9_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No3_platform_No4_LED(uint8_t cmd)// channel 3 ƽ̨4
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(C_LED10_GPIO_PORT,C_LED10_PIN,ON);
//			led(C_LED12_GPIO_PORT,C_LED12_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);
//			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(C_LED10_GPIO_PORT,C_LED10_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(C_LED10_GPIO_PORT,C_LED10_PIN,OFF);
			led(C_LED11_GPIO_PORT,C_LED11_PIN,OFF);
			led(C_LED12_GPIO_PORT,C_LED12_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No3_platform_No5_LED(uint8_t cmd)// channel 3 ƽ̨5
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(C_LED13_GPIO_PORT,C_LED13_PIN,ON);
//			led(C_LED15_GPIO_PORT,C_LED15_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);
//			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(C_LED13_GPIO_PORT,C_LED13_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(C_LED13_GPIO_PORT,C_LED13_PIN,OFF);
			led(C_LED14_GPIO_PORT,C_LED14_PIN,OFF);
			led(C_LED15_GPIO_PORT,C_LED15_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No3_platform_No6_LED(uint8_t cmd)// channel 3 ƽ̨6
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(C_LED16_GPIO_PORT,C_LED16_PIN,ON);
//			led(C_LED18_GPIO_PORT,C_LED18_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);
//			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(C_LED18_GPIO_PORT,C_LED18_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(C_LED16_GPIO_PORT,C_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(C_LED16_GPIO_PORT,C_LED16_PIN,OFF);
			led(C_LED17_GPIO_PORT,C_LED17_PIN,OFF);
			led(C_LED18_GPIO_PORT,C_LED18_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}

////////////////////////////// CHANNLE 4 //////////////////////////////
uint8_t channel_No4_LED(uint8_t platform, int i)
{
	switch (platform) 
	{
		case 0x00: // channel_4
			result = channel_No4_platform_No0_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x01: // channel_4
			result = channel_No4_platform_No1_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x02: // channel_4
			result = channel_No4_platform_No2_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x03: // channel_4
			result = channel_No4_platform_No3_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x04: // channel_4
			result = channel_No4_platform_No4_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x05: // channel_4
			result = channel_No4_platform_No5_LED(usartMsg.rxBuf[8 + i]);
			break;
		case 0x06: // channel_4
			result = channel_No4_platform_No6_LED(usartMsg.rxBuf[8 + i]);
			break;
		default:
			result = 0x05;
			break;
	}
	return result;	
}

uint8_t channel_No4_platform_No0_LED(uint8_t cmd)// channel 4 ƽ̨
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(D_LED1_GPIO_PORT,D_LED1_PIN,ON);//red
//			led(D_LED3_GPIO_PORT,D_LED3_PIN,ON);//green
//			led(D_LED4_GPIO_PORT,D_LED4_PIN,ON);//red
//			led(D_LED6_GPIO_PORT,D_LED6_PIN,ON);//green
//			led(D_LED7_GPIO_PORT,D_LED7_PIN,ON);//red
//			led(D_LED9_GPIO_PORT,D_LED9_PIN,ON);//green
//			led(D_LED10_GPIO_PORT,D_LED10_PIN,ON);//red
//			led(D_LED12_GPIO_PORT,D_LED12_PIN,ON);//green
//			led(D_LED13_GPIO_PORT,D_LED13_PIN,ON);//red
//			led(D_LED15_GPIO_PORT,D_LED15_PIN,ON);//green
//			led(D_LED16_GPIO_PORT,D_LED16_PIN,ON);//red
//			led(D_LED18_GPIO_PORT,D_LED18_PIN,ON);//green
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);//red
//			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);//green
//			led(D_LED4_GPIO_PORT,D_LED4_PIN,OFF);//red
//			led(D_LED6_GPIO_PORT,D_LED6_PIN,OFF);//green
//			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);//red
//			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);//green
//			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);//red
//			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);//green
//			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);//red
//			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);//green
//			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);//red
//			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);//green
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,ON);
			led(D_LED6_GPIO_PORT,D_LED6_PIN,ON);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,ON);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,ON);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,ON);
			led(D_LED18_GPIO_PORT,D_LED8_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);
			led(D_LED6_GPIO_PORT,D_LED6_PIN,OFF);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);
			led(D_LED18_GPIO_PORT,D_LED8_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,ON);
			led(D_LED4_GPIO_PORT,D_LED4_PIN,ON);
			led(D_LED7_GPIO_PORT,D_LED7_PIN,ON);
			led(D_LED10_GPIO_PORT,D_LED10_PIN,ON);
			led(D_LED13_GPIO_PORT,D_LED13_PIN,ON);
			led(D_LED16_GPIO_PORT,D_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);
			led(D_LED4_GPIO_PORT,D_LED4_PIN,OFF);
			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);
			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);
			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);
			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(D_LED2_GPIO_PORT,D_LED2_PIN,ON);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,ON);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,ON);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,ON);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,ON);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(D_LED2_GPIO_PORT,D_LED2_PIN,OFF);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,OFF);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,OFF);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,OFF);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,OFF);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);//red
			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);//green
			led(D_LED4_GPIO_PORT,D_LED4_PIN,OFF);//red
			led(D_LED6_GPIO_PORT,D_LED6_PIN,OFF);//green
			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);//red
			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);//green
			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);//red
			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);//green
			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);//red
			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);//green
			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);//red
			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);//green	
			led(D_LED2_GPIO_PORT,D_LED2_PIN,OFF);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,OFF);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,OFF);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,OFF);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,OFF);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}

uint8_t channel_No4_platform_No1_LED(uint8_t cmd)// channel 4 ƽ̨1
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(D_LED1_GPIO_PORT,D_LED1_PIN,ON);
//			led(D_LED3_GPIO_PORT,D_LED3_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);
//			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(D_LED2_GPIO_PORT,D_LED2_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(D_LED2_GPIO_PORT,D_LED2_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(D_LED1_GPIO_PORT,D_LED1_PIN,OFF);
			led(D_LED2_GPIO_PORT,D_LED2_PIN,OFF);
			led(D_LED3_GPIO_PORT,D_LED3_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;

}
uint8_t channel_No4_platform_No2_LED(uint8_t cmd)// channel 4 ƽ̨2
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(D_LED4_GPIO_PORT,D_LED4_PIN,ON);
//			led(D_LED6_GPIO_PORT,D_LED6_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(D_LED4_GPIO_PORT,D_LED4_PIN,OFF);
//			led(D_LED6_GPIO_PORT,D_LED6_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(D_LED6_GPIO_PORT,D_LED6_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(D_LED6_GPIO_PORT,D_LED6_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(D_LED4_GPIO_PORT,D_LED4_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(D_LED4_GPIO_PORT,D_LED4_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(D_LED4_GPIO_PORT,D_LED4_PIN,OFF);
			led(D_LED5_GPIO_PORT,D_LED5_PIN,OFF);
			led(D_LED6_GPIO_PORT,D_LED6_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No4_platform_No3_LED(uint8_t cmd)// channel 4 ƽ̨3
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(D_LED7_GPIO_PORT,D_LED7_PIN,ON);
//			led(D_LED9_GPIO_PORT,D_LED9_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);
//			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(D_LED7_GPIO_PORT,D_LED7_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(D_LED7_GPIO_PORT,D_LED7_PIN,OFF);
			led(D_LED8_GPIO_PORT,D_LED8_PIN,OFF);
			led(D_LED9_GPIO_PORT,D_LED9_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No4_platform_No4_LED(uint8_t cmd)// channel 4 ƽ̨4
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(D_LED10_GPIO_PORT,D_LED10_PIN,ON);
//			led(D_LED12_GPIO_PORT,D_LED12_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);
//			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(D_LED10_GPIO_PORT,D_LED10_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(D_LED10_GPIO_PORT,D_LED10_PIN,OFF);
			led(D_LED11_GPIO_PORT,D_LED11_PIN,OFF);
			led(D_LED12_GPIO_PORT,D_LED12_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No4_platform_No5_LED(uint8_t cmd)// channel 4 ƽ̨5
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(D_LED13_GPIO_PORT,D_LED13_PIN,ON);
//			led(D_LED15_GPIO_PORT,D_LED15_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);
//			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(D_LED13_GPIO_PORT,D_LED13_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(D_LED13_GPIO_PORT,D_LED13_PIN,OFF);
			led(D_LED14_GPIO_PORT,D_LED14_PIN,OFF);
			led(D_LED15_GPIO_PORT,D_LED15_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
uint8_t channel_No4_platform_No6_LED(uint8_t cmd)// channel 4 ƽ̨6
{
	switch (cmd) // ֵָ
	{
//		case 0x01: //whilte_light(ON)
//			led(D_LED16_GPIO_PORT,D_LED16_PIN,ON);
//			led(D_LED18_GPIO_PORT,D_LED18_PIN,ON);
//			result = 1;
//			break;
//		case 0x02: //whilte_light(OFF);
//			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);
//			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);
//			result = 1;
//			break;
		case 0x03: //green_light(ON);
			led(D_LED18_GPIO_PORT,D_LED18_PIN,ON);
			result = 1;
			break;
		case 0x04: //green_light(OFF);
			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);
			result = 1;
			break;
		case 0x05: //red_light(ON);
			led(D_LED16_GPIO_PORT,D_LED16_PIN,ON);
			result = 1;
			break;
		case 0x06: //red_light(OFF);
			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);
			result = 1;
			break;
		case 0x07: //yellow_light(ON);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,ON);
			result = 1;
			break;
		case 0x08: //yellow_light(OFF);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,OFF);
			result = 1;
			break;
		case 0xFF: //all_light(OFF);
			led(D_LED16_GPIO_PORT,D_LED16_PIN,OFF);
			led(D_LED17_GPIO_PORT,D_LED17_PIN,OFF);
			led(D_LED18_GPIO_PORT,D_LED18_PIN,OFF);
			result = 1;
			break;
		default:
			result = 0x05;
			break;
	}
	return result;
}
